Updating via apt-get fails: INVALID SSL Cert Date

It seems, that the SSL Cert for https://download.jitsi.org stable/ has a invalid date,
therefore its rejected by apt-get update (Debian Stretch) and even the Browser (Google Chrome) complains about it.

Should be fixed asap.

Kind regards,

Ingo Weigert

This is known and we are working on fixing it.

1 Like

thank you.

Hi, any news about this issue?
Now seems completely unreachable

ADD failed: Get https://download.jitsi.org/jitsi-key.gpg.key: x509: certificate has expired or is not yet valid

All issues had been fixed and download.jitsi.org is back.